%global gituser libsidplayfp
%global gitname sidplayfp

Name:           sidplayfp
Version:        2.13.0
Release:        2%{?dist}
Summary:        SID chip music module player
License:        GPLv2+
URL:            https://github.com/%{gituser}/%{gitname}
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++ alsa-lib-devel pulseaudio-libs-devel libtool
BuildRequires:  libsidplayfp-devel gettext-devel
BuildRequires:  devscripts

%description
A player for playing SID music modules originally created on the Commodore 64
and compatibles.

%prep
%setup -q
rm -r aclocal.m4 build-aux
mkdir build-aux
touch build-aux/config.rpath
autoreconf -ivf

%build
%configure
make %{?_smp_mflags}

%install
%make_install
hardening-check -v --nobranchprotection src/%{name}

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/sidplayfp
%{_bindir}/stilview
%{_mandir}/man?/sidplayfp.*
%{_mandir}/man1/stilview.1*

%changelog
* Fri Apr 18 2025 samoht0 <https://copr.fedorainfracloud.org/coprs/samoht0/> 2.13.0
- update 2.13.0
- history cleanup
